
#This work is licensed under the Creative Commons Attribution 3.0 Unported License. To view a copy of this license, visit http://creativecommons.org/licenses/by/3.0/.

import kivy
kivy.require('1.9.0')
from kivy.uix.widget import Widget
from kivy.app import App
from kivy.uix.floatlayout import FloatLayout
from kivy.uix.gridlayout import GridLayout
from kivy.uix.image import Image
from kivy.lang import Builder
from kivy.animation import Animation, AnimationTransition
from kivy.properties import NumericProperty, ReferenceListProperty,\
	ObjectProperty, ListProperty, BooleanProperty
from kivy.clock import Clock
from kivy.vector import Vector
from kivy.core.window import Window
from random import randint
from kivy.core.audio import SoundLoader
from kivy.uix.screenmanager import ScreenManager, Screen, FadeTransition
import sys
from kivy.config import Config
from controllers.GameController import GameController
from models.Player import Player
from models.Ball import Ball
from models.Goal import Goal
import usb
import time
import sys
import usbConfig
Config.set('graphics','resizable',0)

from practicum import McuBoard


class EndScreen(Screen):
	def on_pre_enter(self):
		# endsound = SoundLoader.load('gameover.mp3')
		# endsound.play()
                pass
        def exit(self):
            sys.exit();

class GameScreen(Screen):
	def on_pre_enter(self):
		# self.archerygame.sound.play()
		# self.archerygame.serve()
                # self.game_controller.setup()
		Clock.schedule_interval(self.game_controller.update, 1.0 / 60.0)

class OpenScreen(Screen):
	# sound = SoundLoader.load('Koala.mp3')

	def on_pre_enter(self):
		#self.sound.play()
                pass

	def start(self):
		#self.sound.unload
                #self.sound.stop()
		self.parent.current = "game"
                pass

class SoccerApp(App):

	def build(self):
                game_screen = GameScreen(name='game')
                game_screen.game_controller.setup()
                # time.sleep(1)
		sm = ScreenManager(transition=FadeTransition())
		sm.add_widget(OpenScreen(name='open'))
		sm.add_widget(game_screen)
		sm.add_widget(EndScreen(name='end'))
		return sm

                

if __name__ == '__main__':
    SoccerApp().run()
