#!/usr/bin/python
# - * - coding: utf-8 - * -
import kivy

kivy.require('1.9.0')
from kivy.uix.widget import Widget
from kivy.app import App
from kivy.uix.floatlayout import FloatLayout
from kivy.uix.gridlayout import GridLayout
from kivy.uix.image import Image
from kivy.lang import Builder
from kivy.animation import Animation, AnimationTransition
from kivy.properties import NumericProperty, ReferenceListProperty,\
	ObjectProperty, ListProperty, BooleanProperty
from kivy.clock import Clock
from kivy.vector import Vector
from kivy.core.window import Window
from random import randint
from kivy.core.audio import SoundLoader
from kivy.uix.screenmanager import ScreenManager, Screen, FadeTransition
import sys
from kivy.config import Config
from controllers.GameController import GameController
from models.Ball import Ball
ROLE_BLOCK = 0
ROLE_GOALED = 1
class Goal(Widget):

    score = NumericProperty(0)
    color = ListProperty([200,200,200,100])

    def update(self):
        self.collision_ball()
    def move(self):
        pass
    def collision_ball(self):
        if self.collide_widget(self.parent.ball):
            print self.parent.ball.y, self.y, self.height
            if self.parent.ball.y > 800 * 0.25:
                self.parent.ball.velocity_y = 5.0
                if self.x > 500:
                    self.parent.ball.velocity_x = -3.0
                else:
                    self.parent.ball.velocity_x = 3.0
            else:
                goal = False
                if self.x < 500 and self.parent.ball.x < self.width * 0.8:
                    goal = True
                elif self.x > 500 and self.parent.ball.x > (self.x + self.width * 0.1):
                    goal = True
                if goal:
                    self.score += 1
                    self.parent.ball.y = 700
                    self.parent.ball.x = 740 
                    self.velocity_x = 0
                    self.velocity_y = 0
                    # goal !


