
from practicum import McuBoard, findDevices


RQ_BUTTONS_STATUS = 0

usb_status = [True, True]
usb_list = [None, None]

devices = findDevices()

try:
    usb_list[0] = McuBoard(devices[0])
except:
    usb_status[0] = False
    print ("USB not found ")

try:
    usb_list[1] = McuBoard(devices[1])
except:
    usb_status[1] = False
    print "USB2 not found"
def read_usb(usb):
    data = list(usb.usbRead(RQ_BUTTONS_STATUS))[0]
    ret = []
    ret.append(data & 1)
    ret.append((data >> 1) & 1)
    ret.append((data >> 2) & 1)
    ret.append((data >> 3) & 1)
    return map(lambda x: bool(x), ret)
# print usb_status

